Skip to main content
`Ctrl`+`K`

# AOViewFromOptions

View an `AO` based on values in the options database

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOViewFromOptions(AO ao, PetscObject obj, const char name[])

Collective

## Input Parameters

- ao - the application ordering context

- obj - optional object that provides the prefix used to search the options database

- name - command line option

## See Also

Application Orderings, `AO`, `AOView()`, `PetscObjectViewFromOptions()`, `AOCreate()`

## Level

intermediate

## Location

src/vec/is/ao/interface/ao.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages